# redis ram ≈ 4 + system ram / 16
# guarantee-рованная память должна обеспечить старт системы - сколько система жрёт в среднем
# максимальная (ram) — пиковое выделение памяти и дисковый кэш
# Как считаем guarantee:
# guarantee ≈ system(d) 37m + redis + python(uwsgi * 150 + wsgidav(16mb) + celery(135mb) + socketio_proxy(35mb) \
#       postgres(shared_buffers(max(8; redis)) + uwsgi * sqlalchemy_queue_pool(2m) * temp_buffers * work_buffers) \
sla1: # Эконом: дефолт демщики, персональные платные и экономичные (хоть сколько-то платят) клиенты
        redis:
                ram: 128
        uwsgi:
                processes: 2
                offload: 1
        system:
                disk: 40
                ram:
                        max: 8192
                        guarantee: 1024
        postgres:
                shared_buffers: 16
                temp_buffers: 4
                work_mem: 4
sla2: # Бизнес: типовой продакшн клиент, дефолтная виртуалка из коробки, юзают 80% B2B-клиентов
        redis:
                ram: 256
        uwsgi:
                processes: 2
                offload: 1
        system:
                disk: 40
                ram:
                        max: 8192
                        guarantee: 5120
        postgres:
                shared_buffers: 128
                temp_buffers: 16
                work_mem: 16
sla3: # Бизнес Плюс
        redis:
                ram: 512
        uwsgi:
                processes: 3
                offload: 1
        system:
                disk: 100
                ram:
                        max: 12288
                        guarantee: 6144
        postgres:
                shared_buffers: 128
                temp_buffers: 16
                work_mem: 16
sla4: # Премиум
        redis:
                ram: 1024
        uwsgi:
                processes: 4
                offload: 2
        system:
                disk: 250
                ram:
                        max: 16384
                        guarantee: 8192
        postgres:
                shared_buffers: 256
                temp_buffers: 32
                work_mem: 32
